# Uses of Interface
javax.sound.midi.MidiDevice

Packages that use MidiDevice
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.
javax.sound.midi.spi
Supplies interfaces for service providers to implement when offering new MIDI devices, MIDI file readers and writers, or sound bank readers.

## Uses of MidiDevice in javax.sound.midi

Subinterfaces of MidiDevice in javax.sound.midi
Modifier and Type
Interface
Description
`interface`
`Sequencer`
A hardware or software device that plays back a MIDI `sequence` is known as a sequencer.
`interface`
`Synthesizer`
A `Synthesizer` generates sound.
Methods in javax.sound.midi that return MidiDevice
Modifier and Type
Method
Description
`MidiDevice`
MidiDeviceReceiver.`getMidiDevice()`
Obtains a `MidiDevice` object which is an owner of this `Receiver`.
`MidiDevice`
MidiDeviceTransmitter.`getMidiDevice()`
Obtains a `MidiDevice` object which is an owner of this `Transmitter`.
`static MidiDevice`
MidiSystem.`getMidiDevice(MidiDevice.Info info)`
Obtains the requested MIDI device.

## Uses of MidiDevice in javax.sound.midi.spi

Methods in javax.sound.midi.spi that return MidiDevice
Modifier and Type
Method
Description
`abstract MidiDevice`
MidiDeviceProvider.`getDevice(MidiDevice.Info info)`
Obtains an instance of the device represented by the info object.